# This is a list of all the unique measured values
MEASUREMENTS = [
		"Maximum charging current",
		"Control of battery charging via communication available",
		"End-of-charge voltage",
		"Current battery capacity",
		"Maximum discharging current",
		"End-of-discharge voltage",
		"Battery temperature",
		"Battery charge",
		"Battery discharge",
		"Current charging power",
		"Current discharging power",
		"Insolation on external sensor",
		"Wind speed",
		"Ambient temperature",
		"Highest measured ambient temperature",
		"Module temperature",
		"Daily yield",
		"Grid current phase L1",
		"Grid current phase L2",
		"Grid current phase L3",
		"Grid frequency",
		"Grid voltage phase L1",
		"Grid voltage phase L1 against L2",
		"Grid voltage phase L2",
		"Grid voltage phase L2 against L3",
		"Grid voltage phase L3",
		"Grid voltage phase L3 against L1",
		"Displacement power factor",
		"EEI displacement power factor",
		"Apparent power",
		"Reactive power grid feeding",
		"Counter reading of power drawn counter",
		"Grid feed-in counter reading",
		"Power drawn",
		"Power grid feed-in",
		"Apparent power L1",
		"Apparent power L2",
		"Apparent power L3",
		"Reactive power grid feeding phase L1",
		"Reactive power grid feeding phase L2",
		"Reactive power grid feeding phase L3",
		"Power grid feeding L1",
		"Power grid feeding L2",
		"Power grid feeding L3",
		"Power drawn from grid phase L1",
		"Power drawn from grid phase L2",
		"Power drawn from grid phase L3",
		"Total yield",
		"Multifunction relay status",
		"Battery status",
		"Operating status",
		"Remaining duration until CP restart",
		"Fault correction measure",
		"Current event number for manufacturer",
		"Message",
		"Recommended action",
		"Number of events for installer",
		"Number of events for service",
		"Number of events for user",
		"Condition",
		"Nominal power in Fault Mode",
		"Nominal power in Ok Mode",
		"Nominal power in Warning Mode",
		"Inverter status",
		"Waiting time until feed-in",
		"Connection speed of SMACOM A",
		"Duplex mode of SMACOM A",
		"Speedwire connection status of SMACOM A",
		"Connection speed of SMACOM B",
		"Duplex mode of SMACOM B",
		"Speedwire connection status of SMACOM B",
		"DC current input",
		"DC voltage input",
		"DC power input",
		"Grid frequency",
		"Apparent power",
		"Reactive power",
		"Power",
		"Grid current phase L1",
		"Grid current phase L2",
		"Grid current phase L3",
		"Grid voltage phase L1",
		"Grid voltage phase L2",
		"Grid voltage phase L3",
		"Grid voltage phase L1 against L2",
		"Grid voltage phase L2 against L3",
		"Grid voltage phase L3 against L1",
		"Power L1",
		"Power L2",
		"Power L3",
		"Apparent power L1",
		"Apparent power L2",
		"Apparent power L3",
		"Reactive power L1",
		"Reactive power L2",
		"Reactive power L3",
		"Displacement power factor",
		"EEI displacement power factor",
		"Excitation type of cos φ",
		"Residual current",
		"Insulation resistance",
		"Operating time",
		"Feed-in time",
		"Number of grid connections",
		"Grid relay/contactor",
		"Reason for derating",
		"Backup mode status",
		"Current spec. active power limitation P",
		"Current spec. reactive power Q",
		"Current spec. cos φ",
		"Current spec. stimulation type cos φ",
		"Country standard set",
		"Intermediate circuit voltage",
		"General operating status",
		"Plant mains connection",
		"Internal temperature",
		"Grid current",
]

UNUSED_REGISTERS = [
	30199, 30247, 30581, 30583, 30779, 30781, 30785, 30787, 30789, 
	30791, 30793, 30809, 30811, 30817, 30819, 30847, 30849, 30865, 
	30867, 30979, 30981, 31159, 31253, 31255, 31257, 31259, 31261, 
	31263, 31265, 31267, 31269, 31271, 31273, 31275, 31277, 31397, 
	31401, 31407, 31411, 31433, 31435, 31437, 31439, 31441, 31443, 
	31445, 31447, 31449, 31451, 31453, 31455, 31499, 32201, 32205, 
	32239, 32245, 32251, 32257, 32341, 34609, 34611, 34615, 34621, 
	34623, 34625, 34627, 34629, 34631, 34633, 34635,
]

NON_MEASUREMENT_REGISTERS = [
	40187, 41363, 41365, 40013, 40005, 40003, 41437, 41439, 41187,
	41215, 40151, 44427, 40149, 44425, 41457, 41459, 41461, 40575,
	40577, 31389, 40497, 30059, 30055, 40157, 40513, 40175, 40159,
	40167, 40077, 40647, 41155, 41157, 41131, 41133, 41173, 41171,
	40789, 40631, 30057, 40067, 30051, 30053, 40063, 40009, 44021,
	41121, 40133, 40135, 44009, 44015, 44017, 44019, 41169, 44377,
	44379, 40095, 40446, 41115, 41117, 40448, 40450, 40452, 40456,
	40458, 40462, 40464, 40466, 41111, 41113, 41123, 41125, 40103,
	40426, 40432, 40434, 40436, 40438, 40101, 40444, 41127, 41129,
	40250, 40997, 40256, 40258, 40183, 40472, 40474, 40185, 40195,
	40482, 41001, 41007, 41009, 41015, 30825, 40200, 40224, 40222,
	40230, 40228, 40226, 40232, 30831, 40206, 30833, 40208, 40024,
	40025, 40999, 41257, 30829, 40204, 40015, 40490, 41299, 40216,
	44375, 40242, 40218, 40220, 40238, 40240, 44373, 40234, 44001,
	40484, 44011, 44013, 41201, 44023, 41193, 41195, 41197, 41219,
	41221, 41223, 41225, 44097, 41227, 44099, 41229, 41435, 30231,
	30233, 40915, 30837, 40212, 30839, 40214, 44493, 40016, 30835,
	40210, 41217, 41199, 41203, 40480, 40018, 41253, 40022, 41256,
	40023, 41255, 40895, 40897, 40899, 40855, 40857, 40859, 40875,
	40877, 40879, 40262, 40264, 40266, 40957, 40959, 40961, 40977,
	40979, 40981, 40282, 40284, 40286, 40288, 40290, 40292, 40294,
	40296, 40306, 40308, 40310, 40312, 40314, 40316, 40318, 40320,
	40330, 40332, 40334, 40336, 40338, 40340, 40342, 40344, 40354,
	40356, 40358, 40360, 40362, 40364, 40366, 40368, 40378, 40380,
	40382, 40384, 40386, 40388, 40390, 40392, 40402, 40404, 40406,
	40408, 40410, 40412, 40414, 40416, 40917, 40919, 40921, 40937,
	40939, 40941, 30001, 30003, 30005, 42109, 43090, 30193,
]
